Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1839483

Summary: Review Request: subfinder - Subdomain discovery tool
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-14 06:24:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1839482    
Bug Blocks: 563471    

Description Fabian Affolter 2020-05-24 10:15:28 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/subfinder.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/subfinder-2.3.4-1.fc31.src.rpm

Project URL: https://github.com/projectdiscovery/subfinder

Description:
Subfinder is a subdomain discovery tool that discovers valid subdomains for
websites. Designed as a passive framework to be useful for bug bounties and
safe for penetration testing.

Koji scratch build:
missing dependency

rpmlint output:
$ rpmlint subfinder-2.3.4-1.fc31.src.rpm 
subfinder.src: W: spelling-error Summary(en_US) Subdomain -> Sub domain, Sub-domain, Domain
subfinder.src: W: spelling-error %description -l en_US subdomain -> sub domain, sub-domain, domain
subfinder.src: W: spelling-error %description -l en_US subdomains -> sub domains, sub-domains, domains
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
$ rpmlint subfinder-*
subfinder.x86_64: W: spelling-error Summary(en_US) Subdomain -> Sub domain, Sub-domain, Domain
subfinder.x86_64: W: spelling-error %description -l en_US subdomain -> sub domain, sub-domain, domain
subfinder.x86_64: W: spelling-error %description -l en_US subdomains -> sub domains, sub-domains, domains
subfinder.x86_64: W: no-manual-page-for-binary subfinder
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-26 09:39:47 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-06-26 13:43:46 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/subfinder